Bug 975198 - [abrt] xfce4-sensors-plugin-1.2.3-6.fc18: array_free: Process /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin was killed by signal 11 (SIGSEGV)
[abrt] xfce4-sensors-plugin-1.2.3-6.fc18: array_free: Process /usr/libexec/xf...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-sensors-plugin (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:41c9d21697dc7a007dfccf46f95...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 15:08 EDT by igor.redhat@gmail.com
Modified: 2014-02-05 16:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:51:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.63 KB, text/plain)
2013-06-17 15:08 EDT, igor.redhat@gmail.com
no flags Details
File: cgroup (127 bytes, text/plain)
2013-06-17 15:08 EDT, igor.redhat@gmail.com
no flags Details
File: core_backtrace (7.13 KB, text/plain)
2013-06-17 15:08 EDT, igor.redhat@gmail.com
no flags Details
File: dso_list (7.34 KB, text/plain)
2013-06-17 15:08 EDT, igor.redhat@gmail.com
no flags Details
File: environ (1.62 KB, text/plain)
2013-06-17 15:08 EDT, igor.redhat@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-17 15:09 EDT, igor.redhat@gmail.com
no flags Details
File: maps (33.77 KB, text/plain)
2013-06-17 15:09 EDT, igor.redhat@gmail.com
no flags Details
File: open_fds (276 bytes, text/plain)
2013-06-17 15:09 EDT, igor.redhat@gmail.com
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-06-17 15:09 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description igor.redhat@gmail.com 2013-06-17 15:08:45 EDT
Description of problem:
This happened after restarting xfce4-panel with "xfce4-panel -q; PANEL_DEBUG=1 xfce4-panel"

Version-Release number of selected component:
xfce4-sensors-plugin-1.2.3-6.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 20 14680098 xfce4-sensors-plugin 'Sensor plugin' 'Show sensor values.' ''
crash_function: array_free
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            500
var_log_messages: Jun 17 15:00:09 igor-hp abrt[10425]: Saved core dump of pid 1157 (/usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin) to /var/tmp/abrt/ccpp-2013-06-17-15:00:09-1157 (2723840 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 array_free at garray.c:366
 #4 g_array_free at garray.c:347
 #5 gtk_rc_style_finalize at gtkrc.c:1238
 #7 gtk_style_finalize at gtkstyle.c:636
 #9 gtk_rc_style_finalize at gtkrc.c:1202
 #11 g_datalist_clear at gdataset.c:277
 #13 gtk_box_forall at gtkbox.c:1251
 #14 gtk_container_destroy at gtkcontainer.c:1073
 #19 gtk_object_dispose at gtkobject.c:421
 #21 gtk_box_forall at gtkbox.c:1251
Comment 1 igor.redhat@gmail.com 2013-06-17 15:08:48 EDT
Created attachment 762162 [details]
File: backtrace
Comment 2 igor.redhat@gmail.com 2013-06-17 15:08:50 EDT
Created attachment 762163 [details]
File: cgroup
Comment 3 igor.redhat@gmail.com 2013-06-17 15:08:52 EDT
Created attachment 762164 [details]
File: core_backtrace
Comment 4 igor.redhat@gmail.com 2013-06-17 15:08:55 EDT
Created attachment 762165 [details]
File: dso_list
Comment 5 igor.redhat@gmail.com 2013-06-17 15:08:57 EDT
Created attachment 762166 [details]
File: environ
Comment 6 igor.redhat@gmail.com 2013-06-17 15:09:00 EDT
Created attachment 762167 [details]
File: limits
Comment 7 igor.redhat@gmail.com 2013-06-17 15:09:02 EDT
Created attachment 762168 [details]
File: maps
Comment 8 igor.redhat@gmail.com 2013-06-17 15:09:05 EDT
Created attachment 762169 [details]
File: open_fds
Comment 9 igor.redhat@gmail.com 2013-06-17 15:09:07 EDT
Created attachment 762170 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2013-12-21 09:02:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:51:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.